GCLI-ISSUES(1)

NAME
gcli config - Git Forge Configuration

SYNOPSIS
gcli ssh
gcli ssh add -t title -k keypath
gcli ssh delete -i id

DESCRIPTION
gcli is used to change the settings of the Git Forge Account. You can use it to e.g. add or delete SSH Public Keys used to push to forges.

OPTIONS

-t, --title title
    Set the title of the SSH Key to be added. This is a short description of the key.

-k, --key keypath
    Path to the file containing the SSH public key.

-i, --id id
    ID of the public key to delete.

SUBCOMMANDS

ssh List SSH public keys for the current user.

ssh add
    Add an SSH public key for the current user.

ssh delete
    Delete an SSH public key for the current user.

EXAMPLES
Print a list of registered SSH public keys:

    $ gcli config ssh

Register ~/.ssh/id_rsa.pub on the default forge:

    $ gcli config ssh add \
          -t "Key for $(hostname)" \
          -k ~/.ssh/id_rsa.pub

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
When using this feature to manage SSH keys on Github be aware that you need the “read:public_key” scope enabled on your access token. You will receive HTTP 404 errors otherwise.

Please report bugs via E-Mail to ~herrhotzenplotz/gcli-discuss@lists.sr.ht.

Alternatively you can report them on any of the forges linked at https://herrhotzenplotz.de/gcli. However, the preferred and quickest method is to use the mailing list.